{
  "name": "trouve-ton-profile",
  "version": "1.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "start:dev": "docker compose up -d && ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "tsc": "tsc --noEmit",
    "tsc:watch": "tsc --noEmit --watch",
    "prettier": "prettier --write \"src/**/*.{ts,html,scss,css,md,json}\"",
    "prettier:check": "prettier --check \"src/**/*.{ts,html,scss,css,md,json}\"",
    "format": "npm run prettier && npm run lint:fix",
    "lint": "ng lint",
    "lint:fix": "ng lint --fix",
    "clean:imports": "ts-unused-exports tsconfig.json --excludePathsFromReport=\"src/main.ts;src/environments\" && npm run lint:fix",
    "fix:all": "npm run format && npm run tsc",
    "check:all": "npm run format && npm run tsc && npm run lint && npm run test",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage",
    "test:ci": "jest --runInBand",
    "serve:ssr:TrouveTonProfile": "node dist/trouve-ton-profile/server/server.mjs"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^17.0.0",
    "@angular/common": "^17.0.0",
    "@angular/compiler": "^17.0.0",
    "@angular/core": "^17.0.0",
    "@angular/forms": "^17.0.0",
    "@angular/platform-browser": "^17.0.0",
    "@angular/platform-browser-dynamic": "^17.0.0",
    "@angular/platform-server": "^17.0.0",
    "@angular/router": "^17.0.0",
    "@angular/ssr": "^17.0.1",
    "@fortawesome/angular-fontawesome": "^0.14.1",
    "@fortawesome/fontawesome-svg-core": "^6.4.2",
    "@fortawesome/free-brands-svg-icons": "^6.4.2",
    "@fortawesome/free-regular-svg-icons": "^6.4.2",
    "@fortawesome/free-solid-svg-icons": "^6.4.2",
    "@ngneat/until-destroy": "^10.0.0",
    "express": "^4.18.2",
    "ng2-pdf-viewer": "^10.3.3",
    "ngx-toastr": "^17.0.2",
    "pocketbase": "^0.21.5",
    "primeicons": "^7.0.0",
    "primeng": "^17.18.10",
    "punycode": "^2.3.1",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "zone.js": "~0.14.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.0.1",
    "@angular/cli": "^17.0.1",
    "@angular/compiler-cli": "^17.0.0",
    "@types/express": "^4.17.17",
    "@types/jest": "^30.0.0",
    "@types/node": "^18.18.0",
    "@types/node-fetch": "^2.6.13",
    "angular-eslint": "20.4.0",
    "autoprefixer": "^10.4.20",
    "canvas": "^2.11.2",
    "eslint": "^9.37.0",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-prettier": "^5.5.4",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-preset-angular": "^14.6.2",
    "node-fetch": "^2.7.0",
    "postcss": "^8.4.47",
    "prettier": "^3.6.2",
    "tailwindcss": "^3.4.12",
    "ts-jest": "^29.4.5",
    "typescript": "~5.2.2",
    "typescript-eslint": "8.46.0"
  }
}
